Package org.jboss.resteasy.plugins.server.servlet

## Class ServletUtil

- java.lang.Object
- - org.jboss.resteasy.plugins.server.servlet.ServletUtil

-     public class ServletUtil
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServletUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static List<javax.ws.rs.core.MediaType>` | `extractAccepts​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)` |
    `static ResteasyHttpHeaders` | `extractHttpHeaders​(javax.servlet.http.HttpServletRequest request)` |
    `static List<String>` | `extractLanguages​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)` |
    `static javax.ws.rs.core.MultivaluedMap<String,​String>` | `extractRequestHeaders​(javax.servlet.http.HttpServletRequest request)` |
    `static ResteasyUriInfo` | `extractUriInfo​(javax.servlet.http.HttpServletRequest request, String servletPrefix)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletUtil

          public ServletUtil()

  - ### Method Detail

    - #### extractUriInfo

          public static ResteasyUriInfo extractUriInfo​(javax.servlet.http.HttpServletRequest request,
                                                       String servletPrefix)

    - #### extractHttpHeaders

          public static ResteasyHttpHeaders extractHttpHeaders​(javax.servlet.http.HttpServletRequest request)

    - #### extractAccepts

          public static List<javax.ws.rs.core.MediaType> extractAccepts​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)

    - #### extractLanguages

          public static List<String> extractLanguages​(javax.ws.rs.core.MultivaluedMap<String,​String> requestHeaders)

    - #### extractRequestHeaders

          public static javax.ws.rs.core.MultivaluedMap<String,​String> extractRequestHeaders​(javax.servlet.http.HttpServletRequest request)